html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.page-header-text {
    font-size: 26px;
    font-weight: bold;
    color: #07405d;
    height: 50px;
}

/*.main-layout-button {
    background-color: #FFC107 !important;
    color: #07405d !important;
    border: none !important;
    border-radius: 5px !important;
    font-size: 16px !important;
    font-weight: bold !important;
    cursor: pointer !important;
    transition: background-color 0.3s ease !important;
}

    .main-layout-button:hover {
        background-color: #FFD54F !important;
    }
*/

/*:root {
    --rz-text-font-family: Arial;
    --rz-text-title-color: #333746;
    --rz-text-color: #333746;
    --rz-text-secondary-color: #394652;
    --rz-text-disabled-color: #DEDEE0;
    --rz-body-background-color: #ffffff;
    --rz-grid-border: 1px solid #333746;
    --rz-grid-stripe-background-color: #DEDEE0;
    --rz-grid-cell-color: #333746;
    --rz-grid-hover-color: #394652;
    --rz-grid-selected-background-color: #394652;
    --rz-grid-hover-background-color: #394652;
    --rz-grid-column-resizer-helper-background-color: #333746;
    --rz-grid-header-background-color: #DEDEE0;
    --rz-grid-filter-focus-color: #394652;
    --rz-grid-apply-filter-button-background-color: #394652;
    --rz-grid-foot-background-color: #ffffff;
    --rz-grid-header-filter-icon-active-color: #00B2A9;
    --rz-primary: #333746;
    --rz-secondary: #394652;
    --rz-success: #00B2A9;
    --rz-info: #DEDEE0;
    --rz-warning: #FFB500;
    --rz-danger: #ED0089;
}*/

:root {
    /*    --rz-primary: red !important;
    --rz-button-base-background-color: #FFC107 !important;*/
    /*--rz-text-color: yellow !important;*/
    /*--rz-body-background-color: #red !important;*/
    --rz-primary: #ffc107 !important;
    --rz-grid-header-color: white !important; /* สี text Grid Header */
    --rz-grid-header-background-color: #07405d !important; /* สี background Grid Header */
}

/*.btn-primary {
    color: #fff !important;
    background-color: #1b6ec2 !important;
    border-color: #1861ac !important;
}*/

/* #region กำหนด default-dialog */

.default-dialog {
    background-color: #e3eaf2 !important; /* สี background ของ dialog (จะเห็นตรงตำแน่ง grab dialog) */
}

    .default-dialog .rz-dialog-content {
        background-color: #e3eaf2; /* สี background ของ dialog content */
    }

    .default-dialog .rz-dialog-title {
        color: white; /* สี text ของ dialog header */
        text-align: left; /* จัดตำแหน่ง text ใน dialog header */
    }

    .default-dialog .rz-dialog-titlebar {
        background-color: #07405d; /* สี background ของ dialog header */
        vertical-align: middle;
        padding-bottom: 25px;
    }

/* #endregion */

/* #region กำหนด message-dialog */

.message-dialog-content {
    display: flex;
    align-items: center;
    padding-top: 30px;
    padding-bottom: 30px;
}

    .message-dialog-content i {
        font-size: 64px; /* ขนาดของ icon */
        color: blue; /* สีของ icon */
        margin-right: 20px;
    }

.message-dialog-button {
    display: flex;
    justify-content: center;
    padding: 20px;
}

/* #endregion */

/* #region กำหนด confirm-dialog */

.rz-dialog-confirm, .rz-dialog-alert {
    max-width: 500px !important;
}

.rz-dialog-confirm-message, .rz-dialog-alert-message {
    margin-top: 10px;
    margin-bottom: 150px;
    margin-left: 20px;
    margin-right: 20px;
}

.rz-dialog-confirm-buttons {
    margin-top: 40px;
    margin-bottom: 0px;
    margin-left: 80px;
    margin-right: 80px;
}

/* #endregion */

/* #region textbox-container สำหรับ TextBox ที่มีปุ่มไอคอนภายใน */
.textbox-container {
    display: inline-block;
    position: relative;
    vertical-align: middle;
}

    /* TextBox ขยายเต็มความกว้าง container */
    .textbox-container .textbox {
        width: 100%;
        box-sizing: border-box;
        padding-right: 35px; /* กำหนดพื้นที่ให้ button ด้านขวา textbox-container */
    }

    /* ปุ่มไอคอน */
    .textbox-container .textbox-icon-button {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        border: none;
        background: none;
        cursor: pointer;
        width: 24px;
        height: 24px;
        padding: 0;
    }

    /* ปุ่ม Icon ด้านขวาสุด */
    .textbox-container .first-right-icon-button {
        right: 8px;
    }

    /* ปุ่ม Icon ด้านขวาลำดับที่ 2 */
    .textbox-container .second-right-icon-button {
        right: 36px;
    }

    /* ปุ่ม Clear ชิดขวาสุด */
    .textbox-container .clear-button {
        right: 36px;
    }

    /* ปุ่ม Search ชิดขวาถัดจากปุ่ม Clear */
    .textbox-container .search-button {
        right: 8px;
    }

    /* Icon */
    .textbox-container .textbox-icon-button i {
        font-size: 16px;
        color: #000;
    }

    /* Hover Icon */
    .textbox-container .textbox-icon-button:hover i {
        color: #007bff;
    }

/* #endregion */

/* #region ใช้กำหนด radzen-form-field ที่ไม่มี <start> และ <end> ให้แสดงเต็มความกว้าง */

.radzen-form-field-fullwidth {
    display: flex;
    width: 100%;
}

/* #endregion */

/* #region field */

/* ใช้กับชื่อ field */
.field {
    font-size: 14px;
    padding-left: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
}

/* ใช้กับ field ที่มีการกำหนดความสำคัญ โดยการแสดง * สีแดง */
.required::after {
    font-family: "Font Awesome 6 Free";
    font-size: 12px;
    font-weight: 900; /* จำเป็นสำหรับ Font Awesome 5+ */
    content: "\f069"; /* asterisk Unicode */
    margin-left: 4px;
    color: #dc3545;
}

/* #endregion */

/* #region กำหนด validation style */

.validate-message {
    color: #dc3545;
    font-size: 12px;
    padding-top: 3px;
    padding-left: 5px;
    min-height: 30px; /* เผื่อพื้นที่สำหรับข้อความ */
    display: block; /* ให้คงที่แม้ยังไม่มีข้อความ */
}

/* #endregion */

.text-left {
    text-align: start;
}

.text-right {
    text-align: end;
}

.valid.modified:not([type=checkbox]) {
    outline: none;
}